org.hibernate.validator.ap.util

## Class Configuration

- java.lang.Object
- - org.hibernate.validator.ap.util.Configuration

-     public class Configuration
      extends Object

  Provides access to the processor options supported by the Hibernate Validator annotation processor.
  Author:
    Gunnar Morling

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Diagnostic.Kind` | `DEFAULT_DIAGNOSTIC_KIND` The diagnostic kind to be used if no or an invalid kind is given as processor option.
    `static String` | `DIAGNOSTIC_KIND_PROCESSOR_OPTION` The name of the processor option for setting the diagnostic kind to be used when reporting errors during annotation processing.
    `static String` | `METHOD_CONSTRAINTS_SUPPORTED_PROCESSOR_OPTION` The name of the processor option for allowing constraints at methods other than getter methods.
    `static String` | `VERBOSE_PROCESSOR_OPTION` The name of the processor option for activating verbose message reporting.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration(Map<String,String> options, Messager messager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Diagnostic.Kind` | `getDiagnosticKind()` Returns the diagnosticKind to be used when reporting failing constraint checks.
    `boolean` | `isVerbose()` Whether logging information shall be put out in a verbose way or not.
    `boolean` | `methodConstraintsSupported()` Whether method constraints are allowed at any method (`true`) or only getter methods (`false`).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIAGNOSTIC_KIND_PROCESSOR_OPTION

          public static final String DIAGNOSTIC_KIND_PROCESSOR_OPTION

      The name of the processor option for setting the diagnostic kind to be used when reporting errors during annotation processing.
      See Also:
        Constant Field Values

    - #### VERBOSE_PROCESSOR_OPTION

          public static final String VERBOSE_PROCESSOR_OPTION

      The name of the processor option for activating verbose message reporting.
      See Also:
        Constant Field Values

    - #### METHOD_CONSTRAINTS_SUPPORTED_PROCESSOR_OPTION

          public static final String METHOD_CONSTRAINTS_SUPPORTED_PROCESSOR_OPTION

      The name of the processor option for allowing constraints at methods other than getter methods.
      See Also:
        Constant Field Values

    - #### DEFAULT_DIAGNOSTIC_KIND

          public static final Diagnostic.Kind DEFAULT_DIAGNOSTIC_KIND

      The diagnostic kind to be used if no or an invalid kind is given as processor option.

  - ### Constructor Detail

    - #### Configuration

          public Configuration(Map<String,String> options,
                       Messager messager)

  - ### Method Detail

    - #### getDiagnosticKind

          public Diagnostic.Kind getDiagnosticKind()

      Returns the diagnosticKind to be used when reporting failing constraint checks.

    - #### isVerbose

          public boolean isVerbose()

      Whether logging information shall be put out in a verbose way or not.

    - #### methodConstraintsSupported

          public boolean methodConstraintsSupported()

      Whether method constraints are allowed at any method (`true`) or only getter methods (`false`).

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved